//Stan model for cosine transform
data {
int<lower=0> N;
vector[N] x1;
vector[N] x2;
vector[N] yt;
}

parameters {
real alpha;
real beta1;
real beta2;
real<lower=0> sigma;

vector[N] preda;

}

model {
  
  yt ~ normal(alpha + beta1*x1 + beta2*x2, sigma);
	preda ~ normal(alpha + beta1*x1 + beta2*x2, sigma);

}

generated quantities {
vector[N] ypred;
vector[N] ypredb;
real m;
real myl;

ypred = preda;

m = 0;
for (n in 1:N){

	if ((ypred[n]>=-1) && (ypred[n]<=1)){
		ypredb[n] = acos(ypred[n]);
		m = m+1;
	}else{
		ypredb[n] = 0;
	}
	
}

myl = sum(ypredb)/m;
}

