//Stan model for tanh transform
data {
int<lower=0> N;
vector[N] x;
vector[N] yt;
}

parameters {
real alpha;
real beta;
real<lower=0> sigma;

vector[N] preda;

}

model {

	yt ~ normal(alpha + beta*x, sigma);
	preda ~ normal(alpha + beta*x, sigma);

}

generated quantities {
vector[N] ypred;
vector[N] ypredb;
real m;
real myl;

ypred = preda;

m = 0;
for (n in 1:N){

	if ((ypred[n]>=-1) && (ypred[n]<=1)){
		ypredb[n] = atanh(ypred[n]);
		m = m+1;
	}else{
		ypredb[n] = 0;
	}
	
}

myl = sum(ypredb)/m;
}

